Skip to content
Docs
Credentials

List

List

client.Organizations.ServiceAccounts.Credentials.List(ctx, serviceAccountID, params) (*OrganizationServiceAccountCredentialListResponse, error)
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials

List credentials for a service account

ParametersExpand Collapse
serviceAccountID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params OrganizationServiceAccountCredentialListParams
OrganizationID param.Field[string]

Path param: Organization ID or label identifier

minLength1
maxLength255
After param.Field[string]optional

Query param: Cursor for forward pagination

minLength1
maxLength255
Before param.Field[string]optional

Query param: Cursor for backward pagination

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

const OrganizationServiceAccountCredentialListParamsExpandPermissions OrganizationServiceAccountCredentialListParamsExpand = "permissions"
const OrganizationServiceAccountCredentialListParamsExpandTotalCount OrganizationServiceAccountCredentialListParamsExpand = "total_count"
Limit param.Field[int64]optional

Query param: Maximum number of credentials to return

minimum1
maximum100
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type OrganizationServiceAccountCredentialListResponse struct{…}
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
ClientID string

The client ID for authentication

CreatedAt Time

The time the entity was created in utc

formatdate-time
Name string

A name for the entity to be displayed in UI

Description stringoptional

Optional description of the credential

LastUsedAt Timeoptional

When the credential was last used

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Pagination information using cursor-based pagination

HasNextPage bool

Whether there are more items after the current page

HasPrevPage bool

Whether there are more items before the current page

EndCursor stringoptional

Cursor pointing to the last item in the current page

minLength1
maxLength255
StartCursor stringoptional

Cursor pointing to the first item in the current page

minLength1
maxLength255
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  credentials, err := client.Organizations.ServiceAccounts.Credentials.List(
    context.TODO(),
    "ab3def8hij2klm9opq5rst7uvw",
    keycard.OrganizationServiceAccountCredentialListParams{
      OrganizationID: "x",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", credentials.Items)
}
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "client_id": "A1b2C3d4E5f6G7h8I9j0K",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "description": "description",
      "last_used_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "client_id": "A1b2C3d4E5f6G7h8I9j0K",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "description": "description",
      "last_used_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}